# Write

`Write(float h, string txt [, mixed link])`

## Description

This method prints text from the current position. When the right margin is reached (or the \n character is met) a line break occurs and text continues from the left margin. Upon method exit, the current position is left just at the end of the text.
It is possible to put a link on the text.

## Parameters

`h`
  Line height.
`txt`
  String to print.
`link`
  URL or identifier returned by AddLink().

## Example

    // Begin with regular font
    $pdf->SetFont('Arial','',14);
    $pdf->Write(5,'Visit ');
    // Then put a blue underlined link
    $pdf->SetTextColor(0,0,255);
    $pdf->SetFont('','U');
    $pdf->Write(5,'www.fpdf.org','http://www.fpdf.org');

## See also

SetFont(), SetTextColor(), AddLink(), MultiCell(), SetAutoPageBreak().

Index